profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/yurivict/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.
yuri@FreeBSD yurivict I am a physicist and a computer engineer whose interests lie in the interface of physics, chemistry and biochemistry. I am also a FreeBSD committer yuri@.

yurivict/crate 14

Containerizer for the FreeBSD operating system

yurivict/ChemWiz 2

Program for manipulations with molecules and performing computations with them

yurivict/albert 0

A fast and flexible keyboard launcher

yurivict/arangodb 0

🥑 ArangoDB is a native multi-model database with flexible data models for documents, graphs, and key-values. Build high performance applications using a convenient SQL-like query language or JavaScript extensions.

yurivict/avogadrolibs 0

Avogadro libraries provide 3D rendering, visualization, analysis and data processing useful in computational chemistry, molecular modeling, bioinformatics, materials science, and related areas.

yurivict/BitcoinArmory 0

Python-Based Bitcoin Software

yurivict/bitmap 0

C++ Bitmap Library

yurivict/c-toxcore 0

The future of online communications.

pull request commentmicrosoft/SEAL

Mention SEAL can also be built on FreeBSD and there is a port available

https://people.freebsd.org/~yuri/seal-CMakeCache.txt

lwhsu

comment created time in 7 hours

issue commentGecode/gecode

[regression][6.3.0] Latest commits potentially cause Attempt to free invalid pointer

It might be that some place wasn't updated for the new option that was added?

yurivict

comment created time in 18 hours

issue openednwchemgit/nwchem

export PYTHONVERSION=N.N

PYTHONVERSION=3.8 in the environment and availability of python3.8 in PATH doesn't enable python input as this documentation section suggests.

Version: 7.0.2 OS: FreeBSD 13

created time in 18 hours

issue openedGPUOpen-Tools/compressonator

Build failures: use of undeclared identifier 'fabs', unknown type name 'CMP_Vec3ui'

In file included from /disk-samsung/freebsd-ports/misc/compressonator/work/compressonator-4.2.5185/cmp_core/shaders/bcn_common_kernel.h:39:
/disk-samsung/freebsd-ports/misc/compressonator/work/compressonator-4.2.5185/cmp_core/shaders/bcn_common_api.h:49:12: error: use of undeclared identifier 'fabs'
    return fabs(x);
           ^
In file included from /disk-samsung/freebsd-ports/misc/compressonator/work/compressonator-4.2.5185/cmp_core/shaders/bc1_encode_kernel.cpp:23:
/disk-samsung/freebsd-ports/misc/compressonator/work/compressonator-4.2.5185/cmp_core/shaders/common_def.h:450:9: error: unknown type name 'CMP_Vec3ui'
typedef CMP_Vec3ui CGU_Vec3ui;
        ^
/disk-samsung/freebsd-ports/misc/compressonator/work/compressonator-4.2.5185/cmp_core/shaders/bcn_common_api.h:66:10: error: member reference base type 'CGU_Vec3f' (aka 'int') is not a structure or union
    Color.x = cmp_linearToSrgbf(Color.x);
    ~~~~~^~

For fabs you probably want to use std::fabs.

Version: 4.2.5185 clang-11 OS: FreeBSD 13

created time in 19 hours

issue commentgoogle/draco

Please add to BUILDING.md how to run tests

Ah, ok, thanks!

yurivict

comment created time in 19 hours

issue commentgoogle/draco

Please add to BUILDING.md how to run tests

Instructions are already present:

It only says how to enable tests build, not how to run them. Is there a make target?

yurivict

comment created time in 19 hours

issue commentMolSSI/QCEngine

Some tests fail

I can point out another problem is that the NWChem is not compiled with Python support.

I didn't realize that NWChem has Python support. The Arch Linux port doesn't enable python support either.

Do you know how to enable python support in NWChem?

yurivict

comment created time in 20 hours

issue commentMolSSI/QCEngine

Some tests fail

When did you last have this running correctly, [...]

The FreeBSD port didn't run tests before. I just added the ability to run tests and discovered this problem.

yurivict

comment created time in a day

issue commentGecode/gecode

[regression][6.3.0] Latest commits potentially cause Attempt to free invalid pointer

My program solves constraint problems with timeout:

bool Solver::solve(
        std::function<void(const Solver &solver)> fnSolution,
        std::function<bool()> fnStop,
        unsigned numCPUs
) {
        // options
        Search::Options options;
        options.threads = numCPUs;
        options.clone = true;

        // timeout
        class Stop : public Search::Stop {
        public:
                std::function<bool()> fnStop;
                bool stop(const Search::Statistics& s, const Search::Options& o) override {
                        return fnStop();
                }
        };
        Stop stop;
        if (fnStop) {
                stop.fnStop = fnStop;
                options.stop = &stop;
        }

        std::unique_ptr<BAB<Solver>> e(new BAB<Solver>(this, options));

        while (auto s = std::shared_ptr<Solver>(e->next()))
                fnSolution(*s);

        return e->stopped();
}
yurivict

comment created time in a day

issue commentlibMesh/libmesh

error: use of undeclared identifier 'VALID_REF'

This error occurs without MPI enabled as well.

yurivict

comment created time in a day

issue commentGecode/gecode

[regression][6.3.0] Latest commits potentially cause Attempt to free invalid pointer

Stack of abort:

(gdb) bt
#0  thr_kill () at thr_kill.S:4
#1  0x0000000802091434 in __raise (s=s@entry=6) at /disk-samsung/freebsd-src/lib/libc/gen/raise.c:52
#2  0x00000008021464b9 in abort () at /disk-samsung/freebsd-src/lib/libc/stdlib/abort.c:67
#3  0x00000008009bc0b1 in tcmalloc::Log(tcmalloc::LogMode, char const*, int, tcmalloc::LogItem, tcmalloc::LogItem, tcmalloc::LogItem, tcmalloc::LogItem) () from /usr/local/lib/libtcmalloc.s
o.4
#4  0x00000008009b86a5 in ?? () from /usr/local/lib/libtcmalloc.so.4
#5  0x00000008011d1443 in Gecode::Support::Allocator::free (p=0x289fd, this=<optimized out>) at ./gecode/support/allocator.hpp:88
#6  Gecode::Heap::rfree (p=0x289fd, this=<optimized out>) at ./gecode/support/heap.hpp:377
#7  Gecode::Driver::BaseOption::strdel (s=0x289fd <error: Cannot access memory at address 0x289fd>) at gecode/driver/options.cpp:76
#8  Gecode::Driver::BaseOption::~BaseOption (this=0x7fffffffb690) at gecode/driver/options.cpp:106
#9  0x00000000007304e8 in Gecode::Driver::UnsignedIntOption::~UnsignedIntOption (this=0x7fffffffb690) at /usr/local/include/gecode/driver.hh:228
#10 0x00000000007305df in Gecode::Options::~Options (this=0x7fffffffb0f0) at /usr/local/include/gecode/driver.hh:410
104│     BaseOption::~BaseOption(void) {
105│       strdel(eopt);
106├─────> strdel(iopt);
107│       strdel(exp);
108│     }
109│
yurivict

comment created time in 2 days

issue openedGecode/gecode

[regression][6.3.0] Latest commits potentially cause Attempt to free invalid pointer

Gecode rev. 0916a1a worked fine for me. However, changing to rev. e86200e causes errors like:

src/tcmalloc.cc:333] Attempt to free invalid pointer 0x7fffffffb2a0

There is a chance that I have a bug but I suspect there is a regression in Gecode.

created time in 2 days

issue commentjhrmnn/pyberny

Please add to README how to run tests

pytest prints:

==================================================================================== test session starts ====================================================================================
platform freebsd13 -- Python 3.8.12, pytest-4.6.11, py-1.9.0, pluggy-0.13.1
rootdir: /disk-samsung/freebsd-ports/science/py-pyberny/work-py38/pyberny-0.6.3
plugins: forked-1.0.2, cov-2.9.0, hypothesis-6.23.0, rerunfailures-10.1, timeout-1.4.2, xdist-1.32.0, mock-1.10.4
collected 0 items                                                                                                                                                                           

=============================================================================== no tests ran in 0.04 seconds ================================================================================
yurivict

comment created time in 2 days

issue commentflaviotordini/minitube

Videos stop frequently without an apparent reason

No VPN, no antivirus. internet is stable.

yurivict

comment created time in 2 days

issue commentzbanks/radiance

Throws exception from the Qt event handler, the error message gets lost

mpv-based code fails to initialize OpenGL: https://github.com/mpv-player/mpv/issues/9319

yurivict

comment created time in 3 days

issue openedmpv-player/mpv

mpv-based code fails to initialize OpenGL

Important Information

This code fails to initialize OpenGL:

$ cat mpv-opengl.cpp

#include <mpv/client.h>
#include <mpv/opengl_cb.h>
#include "qthelper.hpp" // removed file manually copied in, see https://github.com/mpv-player/mpv/blob/575197ff8b0a0d8cd14f7ee78461c1d61d045d72/DOCS/client-api-changes.rst#api-changes

#include <iostream>
#include <stdexcept>

#include <locale.h>

#include <QOpenGLContext>

static void *get_proc_address(void *ctx, const char *name) {
    Q_UNUSED(ctx);
    QOpenGLContext *glctx = QOpenGLContext::currentContext();
    if (!glctx)
        return NULL;
    return (void *)glctx->getProcAddress(QByteArray(name));
}

void initialize() {
    mpv_opengl_cb_context *m_mpv_gl{};

    setlocale(LC_NUMERIC, "C");
    mpv::qt::Handle m_mpv = mpv::qt::Handle::FromRawHandle(mpv_create());
    if (!m_mpv)
        throw std::runtime_error("could not create mpv context");

    mpv_set_option_string(m_mpv, "terminal", "yes");
    mpv_set_option_string(m_mpv, "msg-level", "all=v");
    mpv_set_option_string(m_mpv, "ytdl", "yes");
    if (mpv_initialize(m_mpv) < 0)
        throw std::runtime_error("could not initialize mpv context");

    //mpv_set_property_string(m_mpv, "video-sync", "display-resample");
    //mpv_set_property_string(m_mpv, "display-fps", "60");
    mpv_set_property_string(m_mpv, "hwdec", "auto");
    mpv_set_property_string(m_mpv, "scale", "spline36");
    mpv_set_property_string(m_mpv, "loop", "inf");
    mpv_set_property_string(m_mpv, "fbo-format", "rgba32f");
    mpv_set_property_string(m_mpv, "fbo-format", "rgba32f");

    // Make use of the MPV_SUB_API_OPENGL_CB API.
    mpv::qt::set_option_variant(m_mpv, "vo", "opengl-cb");

    m_mpv_gl = (mpv_opengl_cb_context *)mpv_get_sub_api(m_mpv, MPV_SUB_API_OPENGL_CB);
    if (!m_mpv_gl)
        throw std::runtime_error("OpenGL not compiled in");

    mpv_observe_property(m_mpv, 0, "duration", MPV_FORMAT_DOUBLE);
    mpv_observe_property(m_mpv, 0, "time-pos", MPV_FORMAT_DOUBLE);
    mpv_observe_property(m_mpv, 0, "video-params/w", MPV_FORMAT_INT64);
    mpv_observe_property(m_mpv, 0, "video-params/h", MPV_FORMAT_INT64);
    mpv_observe_property(m_mpv, 0, "mute", MPV_FORMAT_FLAG);
    mpv_observe_property(m_mpv, 0, "pause", MPV_FORMAT_FLAG);

    // Request log messages (for error handling)
    mpv_request_log_messages(m_mpv, "error");

    int r = mpv_opengl_cb_init_gl(m_mpv_gl, NULL, get_proc_address, NULL);
    if (r < 0)
        throw std::runtime_error("could not initialize OpenGL");
}

int main() {
	try {
		initialize();
	} catch (std::runtime_error e) {
		std::cout << "caught exception: " << e.what() << std::endl;
	}
}

Error code is -19.

It links using: ```c++ -fPIC mpv-opengl.cpp -I /usr/local/include/ `pkg-config --cflags --libs mpv Qt5Core Qt5OpenGL````

I arrived here when the radiance project failed to initialize OpenGL using this code here.

OpenGL certainly works on the same host.

created time in 3 days

issue openedzbanks/radiance

Throws exception from the Qt event handler, the error message gets lost

These lines throw exception when OpenGL can't be initialized:

393│     int r = mpv_opengl_cb_init_gl(m_mpv_gl, NULL, get_proc_address, NULL);
394│     if (r < 0)
395├───────> throw std::runtime_error("could not initialize OpenGL");

radiance then fails like this:

$ radiance 
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-yuri'
System library path is: "/usr/local/share/radiance/library/"
User library path is: "/home/yuri/.local/share/Radiance/Radiance/library"
System config path is: "/usr/local/share/radiance/config/"
User config path is: "/home/yuri/.local/share/Radiance/Radiance/config"
QML path is: "/usr/local/share/radiance/qml/"
GLSL path is: "/usr/local/share/radiance/glsl/"
file:///usr/local/share/radiance/qml/ConsoleWidget.qml:32:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
file:///usr/local/share/radiance/qml/AutoDJ.qml:247:5: QML ColumnLayout: Detected anchors on an item that is managed by a layout. This is undefined behavior; use Layout.alignment instead.
file:///usr/local/share/radiance/qml/LibraryWidget.qml:93:13: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
qml: Graph changed! +21 -0 vertices, +19 -0 edges
[cplayer] mpv 0.33.1 Copyright © 2000-2020 mpv/MPlayer/mplayer2 projects
[cplayer]  built on Sun Oct  3 04:56:46 UTC 2021
[cplayer] FFmpeg library versions:
[cplayer]    libavutil       56.70.100
[cplayer]    libavcodec      58.134.100
[cplayer]    libavformat     58.76.100
[cplayer]    libswscale      5.9.100
[cplayer]    libavfilter     7.110.100
[cplayer]    libswresample   3.9.100
[cplayer] FFmpeg version: 4.4
[cplayer] 
[cplayer] Configuration: /wrkdirs/usr/ports/multimedia/mpv/work/waf-2.0.20/waf-light configure --docdir=/usr/local/share/examples/mpv --htmldir=/usr/local/share/doc/mpv/html --mandir=/usr/local/man --disable-debug-build --disable-optimize --disable-pdf --disable-rubberband --disable-shaderc --disable-vapoursynth --enable-libmpv-shared --disable-alsa --enable-libarchive --disable-caca --enable-html --enable-dvdnav --disable-jack --disable-lcms2 --disable-libbluray --lua=52fbsd --disable-javascript --disable-openal --disable-pulse --disable-sixel --enable-dvbin --disable-zimg --enable-vaapi-wayland --prefix=/usr/local -j1
[cplayer] List of enabled features: 52fbsd asm bsd-fstatfs build-date consio.h cplayer cplugins drm dvbin dvdnav egl egl-drm egl-helpers egl-x11 ffmpeg gbm gbm.h gl gl-wayland glibc-thread-name glob glob-posix gpl iconv jpeg libarchive libass libavdevice libdl libm libmpv-shared libplacebo librt linux-input-event-codes lua memfd_create oss-audio plain-gl posix posix-or-mingw pthreads stdatomic uchardet vaapi vaapi-drm vaapi-egl vaapi-vulkan vaapi-wayland vaapi-x-egl vaapi-x11 vdpau vulkan wayland wayland-protocols x11 xv zlib
[cplayer] Waiting for scripts...
[cplayer] Set property: hwdec="auto" -> 1
[cplayer] Set property: scale="spline36" -> 1
[cplayer] Set property: loop-file="inf" -> 1
[cplayer] Set property: loop="inf" -> 1
[cplayer] Set property: fbo-format="rgba32f" -> 1
Warning: property 'opengl-fbo-format' was replaced with 'fbo-format' and might be removed in the future.
[cplayer] Set property: fbo-format="rgba32f" -> 1
[cplayer] Set property: opengl-fbo-format="rgba32f" -> 1
[main] The opengl_cb API is not supported anymore.
[main] Use the similar API in render.h instead.
Qt has caught an exception thrown from an event handler. Throwing
exceptions from an event handler is not supported in Qt.
You must not let any exception whatsoever propagate through Qt code.
If that is not possible, in Qt 5 you must at least reimplement
QCoreApplication::notify() and catch all exceptions there.

Abort trap

created time in 3 days

issue openedMolSSI/QCEngine

Some tests fail

Describe the bug See log.

Version: 0.20.1 OS: FreeBSD 13 (installed from the package)

created time in 3 days

issue openedjhrmnn/pyberny

Please add to EADME how to run tests

pytest -rs --pyargs berny fails to find any tests.

created time in 3 days

issue commentflaviotordini/minitube

Videos stop frequently without an apparent reason

after almost a year the issue seems to be gone now. Thx Flavio!

3.9.1, the latest version, still has this problem.

yurivict

comment created time in 3 days

issue commentgoogle/flatbuffers

cmake script doesn't set Flatbuffers_VERSION

ping.

yurivict

comment created time in 3 days

issue commentmaterialx/MaterialX

ld: error: undefined symbol: MaterialX::SimpleWindow::SimpleWindow()

I don't have a fix. I attempted to create the FreeBSD port for MaterialX and encountered this build failure.

yurivict

comment created time in 3 days

issue commentgoogle/draco

Tests don't build: FATALgoogletest must be a sibling directory

Shouldn't googletest be a git submodule then?

yurivict

comment created time in 3 days

issue openedmaterialx/MaterialX

Tests fail to compile: undefined reference to MaterialX::SimpleWindow::SimpleWindow()

ld: error: source/MaterialXRenderGlsl/libMaterialXRenderGlsl.so.1.38.2: undefined reference to MaterialX::SimpleWindow::initialize(char const*, unsigned int, unsigned int, void*) [--no-allow-shlib-undefined]
ld: error: source/MaterialXRenderGlsl/libMaterialXRenderGlsl.so.1.38.2: undefined reference to MaterialX::SimpleWindow::SimpleWindow() [--no-allow-shlib-undefined]
ld: error: source/MaterialXRenderGlsl/libMaterialXRenderGlsl.so.1.38.2: undefined reference to MaterialX::GLContext::GLContext(std::__1::shared_ptr<MaterialX::SimpleWindow>, void*) [--no-allow-shlib-undefined]
ld: error: source/MaterialXRenderHw/libMaterialXRenderHw.so.1.38.2: undefined reference to MaterialX::WindowWrapper::WindowWrapper(void*, void*, void*) [--no-allow-shlib-undefined]

Version: 1.38.2 clang-11 OS: FreeBSD 13

created time in 3 days

issue openedmaterialx/MaterialX

cmake files are installed into a wrong location

They are installed into $PREFIX/cmake when a standard location is $PREFIX/lib/cmake.

Here and here.

created time in 3 days

issue openedmaterialx/MaterialX

MATERIALX_INSTALL_STDLIB_PATH is used before it it is defined

It is first used used here and then is defined here.

created time in 3 days

issue commentflaviotordini/minitube

Videos stop frequently without an apparent reason

The source code didn't change after 3.9.1. Where is the fix then?

yurivict

comment created time in 3 days

pull request commentmicrosoft/SEAL

Mention SEAL can also be built on FreeBSD and there is a port available

@WeiDaiWD

The testsuite passes for version 3.7.1 100%.

Could you please elaborate what else could possibly expose any unobvious issues with SEAL on FreeBSD?

lwhsu

comment created time in 4 days

issue commentfacebook/folly

2021.09.06.00 regression: error: use of undeclared identifier 'DW_UT_compile'

2021.10.11.00 is still broken.

yurivict

comment created time in 4 days